Package ghidra.app.util.bin.format.som

# Class SomLinkerFootprintAuxHeader

java.lang.Object
ghidra.app.util.bin.format.som.SomAuxHeader
ghidra.app.util.bin.format.som.SomLinkerFootprintAuxHeader

All Implemented Interfaces:
  `StructConverter`

public class SomLinkerFootprintAuxHeader extends SomAuxHeader
Represents a SOM `linker_footprint` structure

See Also:
  - The 32-bit PA-RISC Run-time Architecture Document

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.som.SomAuxHeader

  `auxId`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SomLinkerFootprintAuxHeader(BinaryReader reader)`
  Creates a new `SomLinkerFootprintAuxHeader`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SomSysClock`
  `getHtime()`
  Returns the htime.
  `String`
  `getProductId()`
  Returns the product ID.
  `String`
  `getVersionId()`
  Returns the version ID.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.som.SomAuxHeader

  `getAuxId, getLength`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SomLinkerFootprintAuxHeader

    public SomLinkerFootprintAuxHeader(BinaryReader reader) throws IOException
    Creates a new `SomLinkerFootprintAuxHeader`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the auxiliary header
    Throws:
      `IOException` - if there was an IO-related error

- ## Method Details

  - ### getProductId

    public String getProductId()
    Returns the product ID.
    Returns:
      the product ID

  - ### getVersionId

    public String getVersionId()
    Returns the version ID.
    Returns:
      the version ID

  - ### getHtime

    public SomSysClock getHtime()
    Returns the htime.
    Returns:
      the htime

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Specified by:
      `toDataType` in class `SomAuxHeader`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`